> ## Name

> cgCallStateValidateCallback - calls the state validation callback function for a state assignment

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgCallStateValidateCallback( CGstateassignment sa );

> ## Parameters

> sa
>   The state assignment handle.

> ## Return Values

> Returns the boolean value returned by the validation function. It should be CG_TRUE upon success.

> Returns CG_TRUE if no callback function was defined.

> ## Description

> cgCallStateValidateCallback calls the state validation callback function for the given state assignment. The validation callback will return CG_TRUE or CG_FALSE depending on whether the current hardware and driver support the graphics state set by the state assignment.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> ## History

> cgCallStateValidateCallback was introduced in Cg 1.4.

> ## See Also

> cgSetStateCallbacks, cgCallStateSetCallback, cgCallStateResetCallback